aboutsummaryrefslogtreecommitdiff
path: root/build-aux/assert-shellcheck.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-aux/assert-shellcheck.sh')
-rwxr-xr-xbuild-aux/assert-shellcheck.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/build-aux/assert-shellcheck.sh b/build-aux/assert-shellcheck.sh
new file mode 100755
index 0000000..334a875
--- /dev/null
+++ b/build-aux/assert-shellcheck.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -eux
+
+git ls-files -z | \
+ xargs -0 awk 'FNR==1 && /^#!\/bin\/sh$/ { print FILENAME }' | \
+ xargs shellcheck